package com.szpg.db.dao;

import java.util.List;

import com.szpg.db.data.PgYWAlm;

/**
 * 爆管液位相关参数读写的数据库接口
 * @author admin
 *
 */
public interface PgYWDao {

	/******** 爆管液位浓度报警状态 ********/
	public List<PgYWAlm> findAllSbjz();
	public PgYWAlm findSbjzById(Integer id);
	
	public List<PgYWAlm> findSbjzByDevice(Integer deviceid);
	public List<PgYWAlm> findSbjzByDeviceAndTm(Integer deviceid, String start, String end);
	
	public int addSbjzRecord(PgYWAlm hsalm);
	public int addSbjzRecord(boolean status, String tm, int deviceid);
}
